local HardFinger = _G.HardFinger
--local HardFinger.Encounter_Options = {}
--local Encounter_Options = HardFinger.Encounter_Options

Encounters_Options = {
	["Skorpyron"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackShockwave", label = "Track Shockwave hits.", tip = "Won't track people who uses immunities or heavy cooldown reductions."},
				[4] = { var = "trackShockwaveChat", label = "Announce on chat people hit by Shockwave.", tip = "Won't announce people who uses immunities or heavy cooldown reductions."},
				[5] = { var = "trackArcanoslashDamage", label = "Track Arcanoslash total damage taken on non-tanks.", tip = ""},
				[6] = { var = "trackArcanoslashDeaths", label = "Track deaths by Arcanoslash.", tip = ""},
				[7] = { var = "trackBlast", label = "Track Focused Blast total times hit.", tip = ""},
				[8] = { var = "trackChitin", label = "Track Chitin (green poison) total damage taken.", tip = ""},
				[9] = { var = "trackRedCrystalPulseDamage", label = "[Mythic] Track red crystal PULSE total damage taken.", tip = ""},
				[10] = { var = "trackRedCrystalPulseDeaths", label = "[Mythic] Track deaths by red crystal PULSE.", tip = ""},
				[12] = { var = "trackRedCrystalExplosionDamage", label = "[Mythic] Track red crystal EXPLOSION total damage taken.", tip = ""},
				[13] = { var = "trackRedCrystalExplosionDeaths", label = "[Mythic] Track deaths by red crystal EXPLOSION.", tip = ""},
			},
	["Chronomatic Anomaly"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackTimeReleaseHealing", label = "Track healing done (from healers) to targets with Time Release.", tip = ""},
				[4] = { var = "trackBurstOfTimeDamage", label = "Track Burst of Time total damage taken.", tip = ""},
				[5] = { var = "trackBurstOfTimeDeaths", label = "Track player deaths caused by Burst of Time.", tip = ""},
				[6] = { var = "announceBurstOfTimeDeaths", label = "Announce player deaths caused by Burst of Time.", tip = ""},
				[7] = { var = "trackTemporalOrbDamage", label = "Track Temportal Orb total damage taken.", tip = ""},
				[8] = { var = "trackTemporalOrbDeaths", label = "Track player deaths caused by Temporal Orb.", tip = ""},
				[9] = { var = "announceTemporalOrb", label = "Announce player deaths caused by Temporal Orb.", tip = ""},
				[10] = { var = "trackDamageDoneAdd", label = "Track damage done on Waning Time Particle (when boss HP is at or lower than 30% HP )", tip = "Last set of adds spawn +- at 35% HP. Important for mythic, since the last set of add is the hardest."},
			},
	["Trilliax"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackSterilize", label = "[Experimental] Compute a Sterilize Score based on how much each player helped with Sterilize on robots.", tip = ""},
				[4] = { var = "trackCakes", label = "Track the amount of cakes eaten by each player (Stuffed debuff).", tip = ""},
				[5] = { var = "trackBeamDeaths", label = "Track deaths caused by Annihilation Beam.", tip = ""},
				[6] = { var = "announceBeamDeaths", label = "Announces on chat players deaths caused by Annihilation Beam.", tip = ""},
				[7] = { var = "trackDamage1stImprint", label = "[Mythic] Track damage done to the FIRST Trilliax's Imprint.", tip = ""},
				[8] = { var = "trackDamage2ndImprint", label = "[Mythic] Track damage done to the SECOND Trilliax's Imprint", tip = ""},
			},
	["Spellblade Aluriel"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackIceBlock", label = "Track the amount of times each player got frozen (Ice block debuff).", tip = ""},
				[4] = { var = "damageDoneAddFire", label = "Track damage done to Fire Adds (Fiery Enchantment).", tip = ""},
				[5] = { var = "damageDoneAddArcane", label = "Track damage done to Arcane Adds (Arcane Enchantment).", tip = ""},
				[6] = { var = "damageDoneAddFrost", label = "Track damage done to Frost Adds (Icy Enchantment).", tip = ""},
				[9] = { var = "announceAnnihilateDeaths", label = "Announce non-tanks deaths caused by Annihilated.", tip = ""},
				[10] = { var = "trackPyroInterrupts", label = "[Experimental] Track missed players interrupt on Pyroblast.", tip = "Still experimental. Whoever is caught by this indeed missed their interupts, but this won't get everyone's misses. Includes Arcane torrent."},
			},
	["Tichondrius"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
			},

	["Krosus"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackBeamTimesHit", label = "Track Fel Beam total times hit.", tip = ""},
				--	[14] = { var = "beamAction", label = "                       Action: ", attachTo = 3, list = { ["Track Damage"] = "", ["Track and Announce Damage"] = "", ["Announce on chat only"] = "",}},
				[5] = { var = "trackBeamDeathAnnounce", label = "Announces deaths to Fel Beam on the chat.", tip = ""},
				[6] = { var = "trackBurningPitSoak", label = "Track Burning Pit soaking (number of times).", tip = ""},
				--	[15] = { var = "beamAction", label = "                       Action: ", attachTo = 3, list = { ["Track Damage"] = "", ["Track and Announce Damage"] = "", ["Announce on chat only"] = "",}},
				[7] = { var = "trackDamageToAdds", label = "Track damage done to Burning Ember (adds).", tip = ""},
			},
	["High Botanist Tel'arn"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
			},
	["Star Augur Etraeus"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
			},
	["Elisandre"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackArcaneRingDamage", label = "Track Arcanetic Ring total damage taken.", tip = ""},
				[4] = { var = "trackArcaneRingDeaths", label = "Track deaths caused by Arcanetic Ring.", tip = ""},
				[5] = { var = "announceArcaneRingDeaths", label = "Announce on chat player deaths caused by Arcanetic Ring.", tip = ""},
				[6] = { var = "trackAblativeInterrupt", label = "[P3] Track missed Ablative Pulse interrupts.", tip = "Still experimental. Whoever is caught by this indeed missed their interupts, but this won't get everyone's misses. Includes Arcane torrent."},
			},
	["Gul'dan"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackFelEffluxDamage", label = "Track Fel Efflux total damage taken.", tip = ""},
				[4] = { var = "trackFelEffluxDeaths", label = "Track deaths to Fel Efflux.", tip = ""},
				[5] = { var = "trackHandOfGuldanDeaths", label = "Track Hand of Gul'dan deaths.", tip = ""},
				[6] = { var = "announceFelScythe", label = "Announce Fel Scythe on non-tanks.", tip = ""},
				[7] = { var = "trackFelScytheHits", label = "Track Fel Scythe on non-tanks.", tip = ""},
				[8] = { var = "trackEmpoweredBondsSoak", label = "Track Empowered Bonds total times hit.", tip = ""},
				[9] = { var = "trackFelObeliskHit", label = "Track Fel Obelisk total times hit.", tip = ""},
				[10] = { var = "trackDamageToEmpoweredEye", label = "Track damage done to Empowered Eye of Gul'dan.", tip = ""},
			},
}
